> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the patient profile



## OpenAPI

````yaml /openapi-patient.yaml get /patient/me
openapi: 3.1.0
info:
  title: HMIS Patient Mobile API
  version: 1.0.0
  description: >-
    Patient-owned authentication, appointment, clinical record, and billing
    operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Patient authentication
  - name: Patient profile
  - name: Patient appointments
  - name: Patient records
  - name: Patient billing
paths:
  /patient/me:
    get:
      tags:
        - Patient profile
      summary: Get the patient profile
      operationId: getPatientProfile
      responses:
        '200':
          $ref: '#/components/responses/ObjectResponse'
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  responses:
    ObjectResponse:
      description: Patient-owned resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ObjectEnvelope'
    Unauthenticated:
      description: Missing, expired, or invalid bearer token.
    Forbidden:
      description: Token lacks the required patient ability or the account is inactive.
  schemas:
    ObjectEnvelope:
      type: object
      properties:
        data:
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum patient device token

````